# SYSPOPUP

- The syspopup package is a library to set the notification level of the window. It's not an application to show the popup window. (If you think this package is an application, it's misunderstanding.)
</br>
</br>
</br>
## How to register a syspopup
- If you install a xml file to the syspopup directory which is "/usr/share/syspopup/\<profile\>", the syspopup information will be registered automatically while creating the binary image.
</br>
e.g. org.tizen.hellopopup.xml (for mobile profile)
</br>
/usr/share/syspopup/mobile/org.tizen.hellopopup.xml
```
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<manifest xmlns="http://tizen.org/ns/packages" version="5.5">
    <profile name="mobile"/>
    <syspopup name="hellopopup" priority="medium" focus="false" timeout="-1" term-action="hide" endkey-action="hide" appid="org.tizen.hellopopup"/>
</manifest>
```

 Attribute  | Description
 ------------- | -------------
 name  | The popup name
 appid  | The application ID of the popup
 priority | The priority of the notification level of the popup window (value: 'default' or 'medium' or 'high' or 'top')
 focus | The focus. If it's 'true', the popup window has a focus (value: 'true' or 'false')
 timeout | The timeout interval. (value: -1 ~ integer [-1: infinite, 0: don't use])
 term-action | The termination action (value: 'term' or 'hide' or 'ignore')
 endkey-action | The endkey action (value: 'term' or 'hide' or 'ignore')